@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:ital,wght@0,100..700;1,100..700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');


*{
    margin: 0;
    padding: 0;
    font-family: "IBM Plex Sans", sans-serif;
}

p{
    margin: 0;
}

.kmmaincontainer{
    padding: 60px 114px;
    display: flex;
    flex-direction: column;
    gap: 35px;
    background-color: #FBF7F5;
}

.kmtopsection{
    display: flex;
    flex-direction: column;
    gap: 4px;
    text-align: center;
}

.kmtitlenbio{
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.kmmaintext{
    color: #B32B26;
    font-family: Roboto;
    font-size: 20px;
    font-weight: 700;
    letter-spacing: 2px;
}

.kmtitletext{
    color: #221A18;
    font-size: 56px;
    font-weight: 600;
    line-height: 61px;
}

.kmbiotext{
    font-family: Roboto;
    color: #221A18;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
}

.kmsourcetext{
    font-family: Roboto;
    font-size: 12px;
    font-weight: 400;
    line-height: 20px;
}

.kmmainsection{
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.kmevenswitchsec{
    display: flex;
    justify-content: center;
    border-bottom: 1px solid #00000014;
}

.kmeventslidermain{
    position: relative; /* needed for absolute child */
    padding: 4px;
    border-radius: 50px;
    display: flex;
    justify-content: space-between;
    width: fit-content;
    gap: 56px;
}

.kmeventslidermain p{
    /* width: 213px; */
    height: 48px;
    border-radius: 50px;
    display: flex;
    /* align-items: center; */
    justify-content: center;
    color: #8A7C78;
    font-family: Roboto;
    font-size: 18px;
    font-weight: 600;
    z-index: 9;
    cursor: pointer;
    transition: 0.3s ease;
}

.kmcatvbg{
    background-color: #6B0F14;
    border-radius: 50px;
    position: absolute;
    transition: all 0.3s ease;
    height: 2px !important;
    width: 148px;
    bottom: 0;
}

.kmcactiveevent{
    color: #221A18 !important;
    cursor: default !important;
}




.kmmaincontentsec{
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.kmmaincontent{
    display: flex;
    gap: 80px;
    /* height: 391px; */
    overflow: hidden;
}

.kmcontenttextsec{
    /* max-width: 497px; */
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.kmcontenttextsec2{
    width: calc(100% - 44px);
    display: flex;
    flex-direction: column;
    gap: 8px;
    position: relative;
}

.goldenlinetop{
    width: 72px;
    height: 3px;
    background-color: #AC9440;
    margin-bottom: 32px;
}

.goldenlinebottom{
    width: 3px;
    height: 139px;
    background-color: #AC9440;
    position: absolute;
    bottom: 0;
    right: -44px;
}

.kmcttextsec{
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.kmctitletext{
    font-size: 30px;
    font-weight: 600;
    line-height: 36px;
    max-width: 436px;
}

.kmcdesctext{
    color: #333333;
    font-size: 18px;
    font-weight: 400;
    line-height: 30px;
    font-family: Roboto;
}








.kmcontentimgsec{
    /* width: 100%; */
}

.kmcimgcontaine{
    display: flex;
    width: 560px;
    justify-content: center;
    align-items: center;
    /* width: calc(100% - 1px); */
    height: 100%;
    min-height: 389px;
    max-height: 500px;
    background-color: #F3EDE9;
    /* border: 1px solid #E5E7EB; */
    border-radius: 6px;
    position: relative;
}

.kmcimgcontaine svg{
    position: absolute;
    top: 0;
    right: 28px;
    margin-top: 29px;
    padding: 7px 8px;
    border-radius: 8px;
    background-color: #FFFFFF;
    transition: 0.3s ease;
    cursor: pointer;
    width: fit-content;
    height: fit-content;
    z-index: 9;
}

.kmcimgcontaine svg:hover{
    fill: #B32B26;
    transform: scale(1.1);
}

.kmcimgcontaine img{
    width: inherit;
    height: fit-content;
    max-height: 480px;
    object-fit: contain;
    transform: scale(0.7);
    border-radius: 8px;
}

/* .kmcimgcontaine img{
    height: 100%;
    width: 100%;
    object-fit: cover;
    transform: scale(1);
} */

.kmarrowalidesec{
    display: flex;
    justify-content: space-between;
    /* height: 40px; */
    align-items: center;
    width: 100%;
    margin-top: 56px;
}

.kmcarrowsecsep{
    display: flex;
}

.kmcdotsec{
    display: flex;
    gap: 8px;
}

.kmcdots{
    background-color: #00000026;
    height: 8px;
    width: 8px;
    border-radius: 50%;
    display: flex;
    transition: 0.3s ease;
}

.kmcdotsactv{
    background-color: #6B0F14;
    width: 32px;
    border-radius: 4px;
    transition: 0.3s ease;
}

.kmcleftarrow,
.kmcrightarrow{
    cursor: pointer;
    height: 100%;
    width: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.kmcleftarrow svg,
.kmcrightarrow svg{
    transition: 0.3s ease;
}

.kmcleftarrow:hover svg,
.kmcrightarrow:hover svg{
    fill: #B32B26;
}






.kmcimgpopupcontainer{
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    background-color: #fbf7f5ba;
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;

    display: none;
    opacity: 0;
    transition: 0.3s ease;
}

.kmcimgpopupsec{
    background-color: #78787833;
    backdrop-filter: blur(12px);
    border: 1px solid #C8C8C8;
    padding: 80px 60px;
}

.kmcpopimg{
    width: 1080px;
    height: 490px;
}

.kmcpopclosebtn{
    padding: 10px;
    background-color: #FFFFFF;
    border: 0.75px solid #D1D5DB;
    border-radius: 50%;
    cursor: pointer;
    position: absolute;
    right: 38px;
    top: 38px;
}

.kmcpopimg img{
    height: inherit;
    width: inherit;
    object-fit: contain;
}


.kmmaincontent {
  opacity: 1;
  transition: opacity 0.3s ease;
}

.kmmaincontent.blend {
  opacity: 0;
}

.popanimation {
  animation: popUp 0.6s ease forwards;
  animation-delay: 0.3s;
}

@keyframes popUp {
  0% {
    opacity: 0.3;
    transform: translateY(400px)  scale(0.3);
  }
  90% {
    opacity: 1;
    transform: translateY(0)  scale(1);
  }
  100% {
    opacity: 1;
    transform: translateY(0)  scale(1);
  }
}



/* smooth fade */
#keymomentimg {
    opacity: 1;
    transition: opacity 0.3s ease;
}
#keymomentimg.fade-out {
    opacity: 0;
}





@media (max-width: 1200px){
    .kmmaincontainer{
        padding: 60px;
    }

    .kmcimgcontaine{
        width: calc(100% - 1px);
    }

    .kmcpopimg{
        width: 80vw;
    }
}

@media (max-width: 900px){
    .kmtitletext{
        font-size: 46px;
    }
    
    .kmeventslidermain{
        flex-wrap: wrap;
        row-gap: 10px;
        column-gap: 15px;
        justify-content: center;
    }

    .kmmaincontent{
        flex-direction: column;
        gap: 25px;
    }

    .kmeventslidermain p{
        height: 23px;
    }

    .kmcimgcontaine{
        min-height: auto;
    }
}


@media (max-width: 500px){
    .kmmaincontainer{
        padding: 32px 16px;
    }
    
    .kmtitlenbio{
        gap: 15px;
    }

    .kmmaintext{
        font-size: 12px;
        letter-spacing: normal;
    }

    .kmtitletext{
        font-size: 20px;
        line-height: normal;
    }

    .kmbiotext{
        font-size: 14px;
        line-height: normal;
        color: #6B7280;
    }

    .kmeventslidermain p{
        font-size: 14px;
    }

    .kmmaincontainer,
    .kmmainsection{
        gap: 30px;
    }
}